#
# spec file for package python3-backports.functools_lru_cache
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   backports.functools_lru_cache
Name:           python3-backports.functools_lru_cache
Version:        1.2.1
Release:        1.12
Summary:        Backported functools.lru_cache
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jaraco/backports.functools_lru_cache
Source:         https://files.pythonhosted.org/packages/source/b/%{_name}/%{_name}-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-Sphinx
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildArch:      noarch

%description
Backport of functools.lru_cache from Python 3.3 as published at
ActiveState.

%prep
%setup -q -n %{_name}-%{version}

%build
python3 setup.py build
python3 setup.py build_sphinx

%install
python3 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%check
python3 setup.py test

%files
%defattr(-,root,root)
%doc CHANGES.rst README.rst
%dir %{python3_sitelib}/backports/
%{python3_sitelib}/backports/functools_lru_cache.py
%dir %{python3_sitelib}/backports/__pycache__/
%{python3_sitelib}/backports/__pycache__/functools_lru_cache.*
%{python3_sitelib}/%{_name}-*

%changelog
* Tue Aug  2 2016 sor.alexei@meowr.ru
- Initial package.
